commit 0c66b2f14b5d4cd46388d79b4a73a77433e1dd22
Author: Andrew Carlotti <andrew.carlotti@arm.com>
Date:   Tue Jul 30 16:26:04 2024 +0100

    aarch64: Use PAUTH instead of V8_3A in some places
    
    gcc/ChangeLog:
    
            PR target/119372
            * config/aarch64/aarch64.cc
            (aarch64_expand_epilogue): Use TARGET_PAUTH.
            * config/aarch64/aarch64.md: Update comment.
    
            (cherry-picked from commit 20385cb92cbd4a1934661ab97a162c1e25935836)

diff --git a/gcc/config/aarch64/aarch64.cc b/gcc/config/aarch64/aarch64.cc
index 72d737d6222..74d74976f4a 100644
--- a/gcc/config/aarch64/aarch64.cc
+++ b/gcc/config/aarch64/aarch64.cc
@@ -10048,12 +10048,12 @@ aarch64_expand_epilogue (bool for_sibcall)
 	1) Sibcalls don't return in a normal way, so if we're about to call one
 	   we must authenticate.
 
-	2) The RETAA instruction is not available before ARMv8.3-A, so if we are
-	   generating code for !TARGET_ARMV8_3 we can't use it and must
+	2) The RETAA instruction is not available without FEAT_PAuth, so if we
+	   are generating code for !TARGET_PAUTH we can't use it and must
 	   explicitly authenticate.
     */
   if (aarch64_return_address_signing_enabled ()
-      && (for_sibcall || !TARGET_ARMV8_3))
+      && (for_sibcall || !TARGET_PAUTH))
     {
       switch (aarch64_ra_sign_key)
 	{
